# Method Concurrent.Promise()->depend()

Method depend

  ``this_program` depend(`array`(`Future`) `futures`)`
  ``local` `variant` `this_program` depend(`Future` ... `futures`)`
  ``variant` `this_program` depend()`

Description

  Add futures to the list of futures which the current object depends upon.

  If called without arguments it will produce a new Future from a new Promise which is implictly added to the dependency list.

Parameter `futures`

  The list of `futures` we want to add to the list we depend upon.

Returns

  The new Promise.

Note

  Can be called multiple times to add more.

Note

  Once the promise has been materialised (when either on_success(), on_failure() or get() has been called on this object), it is not possible to call depend() anymore.

See also

  fold(), first_completed(), max_failures(), min_failures(), any_results(), Concurrent.results(), Concurrent.all()